function SetupButtons()
{
	var elem = document.getElementById('closeDetails');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('detailsdiv', 0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('howmany');
	if(elem)
	{
		elem.addEventListener("change", 
		function(event)
		{
			howManyChange('reportspagedeployperpage');
		}
		);
	}

	var elem = document.getElementById('gotopagebutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('gotodiv', 1,0,0,0,event);
			event.preventDefault();
		}
		);
	}
	
	var elem = document.getElementById('gotopagecancel');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('gotodiv', 0);
			event.preventDefault();
		}
		);
	}

}

function SetupDetailsContentButtons()
{
	var counter = 0;
	while(1)
	{
		var elem = document.getElementById('detailsbutton' + counter);
		if(!elem)
			break;

		elem.addEventListener("click", 
			function(event)
			{
				// get id number
				var buttonname = this.id;
				buttonname = buttonname.slice(13); // length of 'detailsbutton'
				// get corresponding details from hidden field and put in details div
				var detailsdata = document.getElementById('detailscontent' + buttonname);
				var visibledata = document.getElementById('detailsdivcontent');
				visibledata.innerHTML=detailsdata.value;
				// show details div
				displayLayer('detailsdiv', 1,0,0,0,event);
				event.preventDefault();
			}
			);
		counter++;
	}

}

document.addEventListener("DOMContentLoaded", 
	function(event)
	{
		SetupButtons();
		SetupDetailsContentButtons();
	}
);



