
function SetupButtons()
{
	var elem = document.getElementById('comparelistbutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('comparediv', 1,0,0,0,event);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('CancelInsertSublistButton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('insertsublistdiv',0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('CompareDivCancelButton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('comparediv',0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('mAccess');
	if(elem)
	{
		elem.addEventListener("change", checkPage);
	}

	var elem = document.getElementById('mProto');
	if(elem)
	{
		elem.addEventListener("change", 
		function(event)
		{
			checkPage();
			checkICMPVers();
		}
		);
	}
	var elem = document.getElementById('mSourceAddr');
	if(elem)
	{
		elem.addEventListener("change", checkPage);
	}
	var elem = document.getElementById('mSourcePort');
	if(elem)
	{
		elem.addEventListener("change", checkPage);
	}
	var elem = document.getElementById('mTargetAddr');
	if(elem)
	{
		elem.addEventListener("change", checkPage);
	}
	var elem = document.getElementById('mTargetPort');
	if(elem)
	{
		elem.addEventListener("change", checkPage);
	}

	var elem = document.getElementById('newaceformcancel');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('editacediv',0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('aceformcancel');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('editacediv2',0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('gotopagebutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('gotodiv', 1, 1,0,0,event);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('gotopagebutton2');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('gotodiv', 1, 1,0,0,event);
			event.preventDefault();
		}
		);
	}
	
	var elem = document.getElementById('gotopagecancel');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			displayLayer('gotodiv', 0);
			event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('howmany');
	if(elem)
	{
		elem.addEventListener("change", 
		function(event)
		{
			howManyChange('editaclperpage');
		}
		);
	}

	var elem = document.getElementById('delete');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			if (confirm("Would you like to delete this ACL?")) 
				; 
			else
				event.preventDefault();
		}
		);
	}

	var elem = document.getElementById('savecopynavbutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer('editnamediv',1,2,0,-120,event);
			document.forms['editnameform'].elements['mName'].focus();
		}
		);
	}

	var elem = document.getElementById('editnamedivcancel');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			displayLayer('editnamediv',0);
		}
		);
	}

	var elem = document.getElementById('mICMPMes');
	if(elem)
		elem.addEventListener("change", checkICMPMes);

	var elem = document.getElementById('mICMPType');
	if(elem)
		elem.addEventListener("change", checkICMPTypeCode);

	var elem = document.getElementById('mICMPCode');
	if(elem)
		elem.addEventListener("change", checkICMPTypeCode);
	
	var elem = document.getElementById('mCommentOnly');
	if(elem)
		elem.addEventListener("click", checkPage);

	var elem = document.getElementById('simplifybutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			DoSimplifyButton();
		}
		);
	}

	var elem = document.getElementById('clearsearchbutton');
	if(elem)
	{
		elem.addEventListener("click", 
		function(event)
		{
			event.preventDefault();
			document.forms["searchform"].elements["SearchField"].value=""; 
			document.forms["searchform"].submit();
		}
		);
	}


}

document.addEventListener("DOMContentLoaded", 
		function(event)
		{
			loadit();
			checkICMPVers();
			if(document.update.mICMPType !== undefined)
			{
				document.update.mICMPType.value = document.update.icmptype.value;
				document.update.mICMPCode.value = document.update.icmpcode.value;
				document.update.mICMPMes.value = document.update.icmpmesg.value;
			}
			checkPage();
			SetupButtons();
		}
	);

function bgpageresults(param) 
{
 var hasErr = 1;
 var doAppend = 0;
 var cmds = param.split("!##!");
 while(cmds.length)
 {
  var cmd = cmds[0];
  switch(cmd)
  {
   case "0":
    hasErr = false;
    break;
   case "2":
    cmds.shift();
    var torun = cmds[0];
    break;
   case "4":
   case "3":
    cmds.shift();
    var length = cmds.shift();
    var div = cmds.shift();
    var data = cmds[0];
    while(data.length < parseInt(length) && cmds.length > 1)
    {
     cmds.shift();
     data += "!##!";
     data += cmds[0];
    }
    UpdateDiv(cmd == "4", div, data);
    break;
   case "1":
   default:
    hasErr = true;
    break;
  }
  cmds.shift();
 }
}




